/*
   Copyright © 2007-2018 X2Go Project - https://wiki.x2go.org
   Copyright © 2007-2018 Oleksandr Shneyder <o.schneyder@phoca-gmbh.de>
   Copyright © 2007-2018 Heinz-M. Graesing <heinz-m.graesing@obviously-nice.de>
   Copyright © 2011-2015 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

// Here we avoid loading the header multiple times
#ifndef x2goplasmoid_HEADER
#define x2goplasmoid_HEADER
// We need the Plasma Applet headers

#include <Plasma/PopupApplet>
#include <Plasma/Svg>

class PlasmaX2goDialog;

class x2goplasmoid : public Plasma::PopupApplet
{
	Q_OBJECT
public:
	// Basic Create/Destroy
	x2goplasmoid(QObject *parent, const QVariantList &args);
	~x2goplasmoid();
	QString getSessionId()
	{
		return sessionId;
	}

	// The paintInterface procedure paints the applet to screen
	void init();
	QGraphicsWidget* graphicsWidget();
private:
	PlasmaX2goDialog* m_dialog;
	QString sessionId;
	QString stampFName;    
private slots:
	void slotUpdateStamp();
};

#endif
